---
title: Get Deployment
description: Get a deployment by ID. This will return the details of the deployment, including the inspector URL, chat ID, project ID, version ID, API URL, and web URL.
docs_index: /docs/llms.txt
lastUpdated: 2026-11-21
product: v0 API
type: reference
prerequisites:
  - /docs/api/v1/quickstart
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Get a deployment by ID. This will return the details of the deployment, including the inspector URL, chat ID, project ID, version ID, API URL, and web URL.

#### `GET /v1/deployments/{deploymentId}`

> **Deprecated**: This method is deprecated. Use the [Vercel API](https://docs.vercel.com/docs/rest-api/reference/endpoints/deployments/get-a-deployment-by-id-or-url) directly to get deployments.

## Usage

```typescript
import { v0 } from 'v0-sdk'

const result = await v0.deployments.getById({
  deploymentId: '123',
})

console.log(result)
```

```bash
curl -X GET https://api.v0.dev/v1/deployments/123   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"
```

## API Signature

### Request

#### Path Parameters

- `deploymentId: string` Path parameter "deploymentId"

### Response

- `id: string` A unique identifier for the deployment.
- `object: 'deployment'` Fixed value identifying this object as a deployment.
- `inspectorUrl: string` URL to the deployment inspector.
- `chatId: string` The ID of the chat that this deployment is scoped to.
- `projectId?: string` **Deprecated.** The ID of the project that this deployment is scoped to.
- `versionId: string` The ID of the version that this deployment is scoped to.
- `apiUrl: string` The API endpoint URL for accessing this deployment programmatically.
- `webUrl: string` The web URL where the deployment can be viewed or managed.

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)